# pertrans

Transposition with reference to the 2nd diagonal

## Calling Sequence

    [Y] = pertrans(X)

## Arguments

X, Y

  square or rectangular matrices of any data type

## Description

`Y = pertrans(X)` returns the simultaneous permutation and transposition of `X`, i.e. the symmetric of `X` with reference to the second diagonal (utility function).

## Examples

    // Square matrix:
    A = matrix(1:25, 5, 5);
    pertrans(A)

    // Rectangular matrix:
    A = grand(5, 3, "uin", 0, 9);
    pertrans(A)

## See Also

- transposition
- flipdim
- permute